Package ru.bitel.bgbilling.modules.npay.server.bean

# Class RecalculatorParameters

java.lang.Object
ru.bitel.bgbilling.modules.npay.server.bean.RecalculatorParameters

All Implemented Interfaces:
  `Serializable`

public class RecalculatorParameters extends Object implements Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RecalculatorParameters()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `List<Integer>`
  `getContractIds()`
  `List<Integer>`
  `getContractLabelIds()`
  `String`
  `getEmail()`
  `int`
  `getServiceSet()`
  `boolean`
  `isDetail()`
  `RecalculatorParameters`
  `setComment(String comment)`
  `RecalculatorParameters`
  `setContractIds(List<Integer> contractIds)`
  `RecalculatorParameters`
  `setContractLabelIds(List<Integer> contractLabelIds)`
  `RecalculatorParameters`
  `setDetail(boolean detail)`
  `RecalculatorParameters`
  `setEmail(String email)`
  `RecalculatorParameters`
  `setServiceSet(int serviceSet)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RecalculatorParameters

    public RecalculatorParameters()

- ## Method Details

  - ### getComment

    public String getComment()

  - ### getContractIds

    public List<Integer> getContractIds()

  - ### getContractLabelIds

    public List<Integer> getContractLabelIds()

  - ### getEmail

    public String getEmail()

  - ### getServiceSet

    public int getServiceSet()

  - ### isDetail

    public boolean isDetail()

  - ### setComment

    public RecalculatorParameters setComment(String comment)

  - ### setContractIds

    public RecalculatorParameters setContractIds(List<Integer> contractIds)

  - ### setContractLabelIds

    public RecalculatorParameters setContractLabelIds(List<Integer> contractLabelIds)

  - ### setDetail

    public RecalculatorParameters setDetail(boolean detail)

  - ### setEmail

    public RecalculatorParameters setEmail(String email)

  - ### setServiceSet

    public RecalculatorParameters setServiceSet(int serviceSet)